Package Gnumed :: Package business :: Module gmStaff :: Class cStaff |
[frames] | no frames]

# Class cStaff

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cStaff

Instance Methods
__init__(self, aPK_obj=None, row=None) Init business object. | source code
__setitem__(self, attribute, value) | source code
set_role(self, conn=None, role=None) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `format`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| database_language
| inbox
| identity
| role
Inherited from `object`: `__class__`

Method Details

### __init__(self, aPK_obj=None, row=None) (Constructor) | source code
    Init business object.

    Call from child classes:

            super(cChildClass, self).__init__(aPK_obj = aPK_obj, row = row)
Overrides: object.__init__ (inherited documentation)

### __setitem__(self, attribute, value) (Index assignment operator) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.__setitem__

Property Details

### database_language Get Method: _get_db_lang(self) Set Method: _set_db_lang(self, language)

### inbox Get Method: _get_inbox(self) Set Method: _set_inbox(self, inbox)

### identity Get Method: _get_identity(self) Set Method: unreachable(x)

### role Get Method: unreachable(x) Set Method: set_role(self, conn=None, role=None)